/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type AddTokenOracleMetadataParams = {
    marketAccount: PublicKey;
    tradeConfigAuthority: PublicKey;
    quota30Days: BN[];
    quota24Hours: BN[];
    renecOraclePubkey: PublicKey;
};
export declare function addTokenOracleMetadata(program: Program<Escrow>, params: AddTokenOracleMetadataParams): Promise<Instruction>;
