import { Instruction } from "@orca-so/common-sdk";
import { AccountMeta, PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type CancelTradeParams = {
    marketAccount: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    kycCert: PublicKey;
    sellOfferAccount: PublicKey;
    tradeAccount: PublicKey;
    treasuryAuthority: PublicKey;
    treasuryTokenAccount: PublicKey;
    taker: PublicKey;
    takerTokenAccount: PublicKey;
    remainingAccounts: AccountMeta[];
};
export declare function cancelTrade(program: Program<Escrow>, params: CancelTradeParams): Promise<Instruction>;
