/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type SetMinimumOfferSize = {
    marketAccount: PublicKey;
    tradeConfigAuthority: PublicKey;
    minimumOfferSize: BN;
};
export declare function setMinimumOfferSize(program: Program<Escrow>, params: SetMinimumOfferSize): Promise<Instruction>;
