import { EscrowContext as ContextV0, OfferClient as OfferClientV0, OfferDataInfo as OfferDataInfoV0 } from "escrow-sdk-v0";
import { EscrowContext as ContextV1, OfferDataInfo as OfferDataInfoV1, OfferClient as OfferClientV1 } from "../../index";
import { IOfferDataInfo } from "../types";
import { BN } from "@project-serum/anchor";
export declare const getOfferStateV0: (offerState: object) => object;
export declare const convertOffersV0: (offers: OfferDataInfoV0[]) => IOfferDataInfo[];
export declare const convertOffersV1: (offers: OfferDataInfoV1[]) => IOfferDataInfo[];
export declare const revertToOfferV0: (offerData: IOfferDataInfo) => OfferDataInfoV0;
export declare const revertToOfferV1: (offerData: IOfferDataInfo) => OfferDataInfoV1;
export declare const getOfferClientV0: (ctx: ContextV0, configId: string, offerData: IOfferDataInfo) => OfferClientV0;
export declare const getOfferClientV1: (ctx: ContextV1, configId: string, marketId: string, offerId: BN) => Promise<OfferClientV1>;
