import { EscrowContext as ContextV0, TradeClient as TradeClientV0, TradeDataInfo as TradeDataInfoV0 } from "escrow-sdk-v0";
import { TradeData as TradeDataV1, EscrowContext as ContextV1, TradeClient as TradeClientV1, TradeDataInfo as TradeDataInfoV1 } from "../../index";
import { ITradeDataInfo } from "../types";
export declare const convertTradesV0: (trades: TradeDataInfoV0[]) => ITradeDataInfo[];
export declare const convertTradesV1: (trades: TradeDataInfoV1[]) => ITradeDataInfo[];
export declare const revertToTradeV0: (trade: ITradeDataInfo) => TradeDataInfoV0;
export declare const revertToTradeV1: (trade: ITradeDataInfo) => TradeDataV1;
export declare const getTradeClientV0: (ctx: ContextV0, configId: string, tradeData: ITradeDataInfo) => TradeClientV0;
export declare const getTradeClientV1: (ctx: ContextV1, marketId: string, configId: string, tradeData: ITradeDataInfo) => TradeClientV1;
