/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
import { PDAInfo } from "../pda";
export type InitializeConfigParams = {
    configId: string;
    configPDA: PDAInfo;
    deployer: PublicKey;
    startOfferId: BN;
    startTradeId: BN;
};
export declare function initializeConfig(program: Program<Escrow>, params: InitializeConfigParams): Promise<Instruction>;
