import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type RedeemOfferParams = {
    marketAccount: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    offerAccount: PublicKey;
    user: PublicKey;
    userTokenAccount: PublicKey;
};
export declare function redeemOffer(program: Program<Escrow>, params: RedeemOfferParams): Promise<Instruction>;
