import { Instruction } from "@orca-so/common-sdk";
import { AccountMeta, PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type ReleaseParams = {
    marketAccount: PublicKey;
    marketTokenVault: PublicKey;
    marketNativeVault: PublicKey;
    kycCert: PublicKey;
    sellOfferAccount: PublicKey;
    tradeAccount: PublicKey;
    seller: PublicKey;
    buyer: PublicKey;
    sellerTokenAccount: PublicKey;
    buyerTokenAccount: PublicKey;
    remainingAccounts: AccountMeta[];
};
export declare function release(program: Program<Escrow>, params: ReleaseParams): Promise<Instruction>;
