/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { BN, Program } from "@project-serum/anchor";
import { Escrow } from "../artifacts/escrow";
export type UpdateOfferParams = {
    offerAccount: PublicKey;
    user: PublicKey;
    rate: BN | null;
};
export declare function updateOffer(program: Program<Escrow>, params: UpdateOfferParams): Promise<Instruction>;
