/// <reference types="bn.js" />
import { BN } from "@project-serum/anchor";
import { OfferDataInfo, OfferQuotes } from "../types";
export declare const REQUIRE_ACCOUNT_PER_TRADE = 2;
export declare const REQUIRE_ACCOUNT_PER_TRADE_WITH_BUY_OFFER = 3;
export declare const REQUIRE_BUMP_PER_TRADE = 1;
export declare const MAX_TRADE_PER_TRANSACTION = 6;
export declare const MAX_TRADE_PER_MAKE_OFFER_TRANSACTION = 5;
export declare function matchingOffers(offersData: OfferDataInfo[], tradeAmount: BN): OfferDataInfo[];
export declare function matchingOffersV2(offersData: OfferDataInfo[], totalTradeAmount: BN, minimumOfferSize: BN): OfferDataInfo[];
export declare function matchOffers(offersData: OfferDataInfo[], tradeAmount: BN): OfferDataInfo[];
export declare function validateOfferQuotes(offerQuote: OfferQuotes, withBuyOffer?: boolean): void;
